0N/A#!/bin/sh
0N/A
0N/A#
553N/A# Copyright (c) 2005, 2009, Oracle and/or its affiliates. All rights reserved.
0N/A# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
0N/A#
0N/A# This code is free software; you can redistribute it and/or modify it
0N/A# under the terms of the GNU General Public License version 2 only, as
0N/A# published by the Free Software Foundation.
0N/A#
0N/A# This code is distributed in the hope that it will be useful, but WITHOUT
0N/A# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
0N/A# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
0N/A# version 2 for more details (a copy is included in the LICENSE file that
0N/A# accompanied this code).
0N/A#
0N/A# You should have received a copy of the GNU General Public License version
0N/A# 2 along with this work; if not, write to the Free Software Foundation,
0N/A# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
0N/A#
553N/A# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
553N/A# or visit www.oracle.com if you need additional information or have any
553N/A# questions.
0N/A#
0N/A
0N/A# @test
0N/A# @bug 6271292
0N/A# @compile T6271292.java
0N/A# @run shell T6271292.sh
0N/A# @summary Verify that javap prints StackMapTable attribute contents
0N/A# @author Wei Tao
0N/A
0N/Aif [ "${TESTSRC}" = "" ]
0N/Athen
0N/A echo "TESTSRC not set. Test cannot execute. Failed."
0N/A exit 1
0N/Afi
0N/Aprintf 'TESTSRC="%s"' "${TESTSRC}" >&2 ; echo >&2
0N/Aif [ "${TESTJAVA}" = "" ]
0N/Athen
0N/A echo "TESTJAVA not set. Test cannot execute. Failed."
0N/A exit 1
0N/Afi
0N/Aprintf 'TESTJAVA="%s"' "${TESTJAVA}" >&2 ; echo >&2
0N/Aif [ "${TESTCLASSES}" = "" ]
0N/Athen
0N/A echo "TESTCLASSES not set. Test cannot execute. Failed."
0N/A exit 1
0N/Afi
0N/Aprintf 'TESTCLASSES="%s"' "${TESTCLASSES}" >&2 ; echo >&2
0N/Aprintf 'CLASSPATH="%s"' "${CLASSPATH}" >&2 ; echo >&2
0N/A
0N/A# set platform-dependent variables
0N/AOS=`uname -s`
0N/Acase "$OS" in
385N/A Windows* )
0N/A FS="\\"
0N/A ;;
0N/A * )
0N/A FS="/"
0N/A ;;
0N/Aesac
0N/A
0N/AJAVAPFILE=T6271292.javap
0N/AOUTFILE=outfile
0N/A
0N/A"${TESTJAVA}${FS}bin${FS}javap" ${TESTTOOLVMOPTS} -classpath "${TESTCLASSES}" -verbose T6271292 > "${JAVAPFILE}"
0N/Aresult="$?"
0N/Aif [ "$result" -ne 0 ]
0N/Athen
0N/A exit "$result"
0N/Afi
0N/A
0N/Agrep "frame_type" "${JAVAPFILE}" > "${OUTFILE}"
0N/Agrep "offset_delta" "${JAVAPFILE}" >> "${OUTFILE}"
0N/Agrep "stack = " "${JAVAPFILE}" >> "${OUTFILE}"
0N/Agrep "locals = " "${JAVAPFILE}" >> "${OUTFILE}"
348N/Adiff -w "${OUTFILE}" "${TESTSRC}${FS}T6271292.out"
0N/Aresult="$?"
0N/Aif [ "$result" -eq 0 ]
0N/Athen
0N/A echo "Passed"
0N/Aelse
0N/A echo "Failed"
0N/Afi
0N/Aexit "$result"
0N/A
0N/A